import { __assign } from 'tslib';
import { cssColor } from './cssColor.js';
import { getColorFromRGBA } from './getColorFromRGBA.js';

function getColorFromString(inputColor) {
  var color = cssColor(inputColor);
  if (!color) {
    return;
  }
  return __assign(__assign({}, getColorFromRGBA(color)), { str: inputColor });
}

export { getColorFromString };
